RHEL 4 : tomcat in Satellite Server (RHSA-2008:1007)

This script is Copyright (C) 2010-2014 Tenable Network Security, Inc.


Synopsis :

The remote Red Hat host is missing a security update.

Description :

Updated tomcat packages that fix multiple security issues are now
available for Red Hat Network Satellite Server.

This update has been rated as having low security impact by the Red
Hat Security Response Team.

This update corrects several security vulnerabilities in the Tomcat
component shipped as part of Red Hat Network Satellite Server. In a
typical operating environment, Tomcat is not exposed to users of
Satellite Server in a vulnerable manner. These security updates will
reduce risk in unique Satellite Server environments.

Multiple flaws were fixed in the Apache Tomcat package.
(CVE-2008-1232, CVE-2008-1947, CVE-2008-2370, CVE-2008-2938,
CVE-2008-3271)

Users of Red Hat Network Satellite Server 5.0 or 5.1 are advised to
update to these Tomcat packages which resolve these issues.

See also :

https://www.redhat.com/security/data/cve/CVE-2008-1232.html
https://www.redhat.com/security/data/cve/CVE-2008-1947.html
https://www.redhat.com/security/data/cve/CVE-2008-2370.html
https://www.redhat.com/security/data/cve/CVE-2008-2938.html
https://www.redhat.com/security/data/cve/CVE-2008-3271.html
http://tomcat.apache.org/security-5.html
http://rhn.redhat.com/errata/RHSA-2008-1007.html

Solution :

Update the affected tomcat5 package.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N)
CVSS Temporal Score : 4.3
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : true

Family: Red Hat Local Security Checks

Nessus Plugin ID: 43842 ()

Bugtraq ID: 29502
30494
30496
30633

CVE ID: CVE-2008-1232
CVE-2008-1947
CVE-2008-2370
CVE-2008-2938
CVE-2008-3271